# Class AbstractMutableOneDScreenTransform

java.lang.Object
com.macrofocus.transform.AbstractMutableOneDScreenTransform

All Implemented Interfaces:
  `MutableOneDScreenTransform, OneDScreenTransform`

Direct Known Subclasses:
  `ComplexOneDScreenTransform, SimpleOneDScreenTransform, ZoomingOneDScreenTransform`

public abstract class AbstractMutableOneDScreenTransform extends Object implements MutableOneDScreenTransform
This class provides a skeletal implementation of the MutableOneDScreenTransform interface to minimize the effort required to implement this interface.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractMutableOneDScreenTransform()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addScreenTransformListener(ScreenTransformListener listener)`
  `void`
  `addWeakScreenTransformListener(ScreenTransformListener listener)`
  `protected void`
  `notifyTransformChanged(ScreenTransformEvent event)`
  `void`
  `removeScreenTransformListener(ScreenTransformListener listener)`
  `void`
  `removeScreenTransformListeners()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface MutableOneDScreenTransform

  `setScreenMargins, setScreenSize, setWorldInterval`

  ### Methods inherited from interface OneDScreenTransform

  `getScreenSize, getWorldInterval, getWorldMax, getWorldMin, getWorldRange, isAffine, isWorldCoordinatesInverted, screenToWorld, worldToScreen, worldToScreenPrecise`

- ## Constructor Details

  - ### AbstractMutableOneDScreenTransform

    protected AbstractMutableOneDScreenTransform()

- ## Method Details

  - ### addScreenTransformListener

    public void addScreenTransformListener(ScreenTransformListener listener)
    Specified by:
      `addScreenTransformListener` in interface `OneDScreenTransform`

  - ### addWeakScreenTransformListener

    public void addWeakScreenTransformListener(ScreenTransformListener listener)
    Specified by:
      `addWeakScreenTransformListener` in interface `OneDScreenTransform`

  - ### removeScreenTransformListener

    public void removeScreenTransformListener(ScreenTransformListener listener)
    Specified by:
      `removeScreenTransformListener` in interface `OneDScreenTransform`

  - ### removeScreenTransformListeners

    public void removeScreenTransformListeners()
    Specified by:
      `removeScreenTransformListeners` in interface `OneDScreenTransform`

  - ### notifyTransformChanged

    protected void notifyTransformChanged(ScreenTransformEvent event)